"""
ASGI config for Webgame project.

It exposes the ASGI callable as a module-level variable named ``application``.

For more information on this file, see
https://docs.djangoproject.com/en/4.1/howto/deployment/asgi/
"""

import os
from django.core.asgi import get_asgi_application

os.environ.setdefault("DJANGO_SETTINGS_MODULE", "Webgame.settings")
app = get_asgi_application()

from channels.auth import AuthMiddlewareStack
from channels.routing import ProtocolTypeRouter, URLRouter
from channels.security.websocket import AllowedHostsOriginValidator
from channels.routing import ProtocolTypeRouter, URLRouter
from channels.auth import AuthMiddlewareStack
import mygame.routing


application = ProtocolTypeRouter(
    {
        "http": app,
        "websocket": AllowedHostsOriginValidator(
            AuthMiddlewareStack(URLRouter(mygame.routing.websocket_urlpatterns))
        ),
    }
)
